<template>
  <v-app dark id="LayoutDefault">
    <!--Ilustration Header-->
    <v-img
      width="100%"
      alt="Ilustracoes de maos coloridas"
      :src="require(`~/static/photos/bg_header-min.png`)"
      contain
    >
      <template v-slot:placeholder>
        <v-row class="fill-height ma-0" align="center" justify="center">
          <v-progress-circular
            indeterminate
            color="grey lighten-5"
          ></v-progress-circular>
        </v-row>
      </template>
    </v-img>

    <!--Header-->
    <v-app-bar height="100%" flat class="info_dark" max-height="60px">
      <SignbankLogo />
      <v-spacer></v-spacer>
      <LanguageTranlateSystemMenu />
    </v-app-bar>

    <!--Content-->
    <v-main>
      <v-container fluid>
        <v-row>
          <v-col cols="12" sm="4" md="4" lg="3" xl="2">
            <MenuDefault />
          </v-col>
          <v-col cols="12" sm="8 " md="8 " lg="9 " xl="10">
            <Nuxt />
          </v-col>
        </v-row>
      </v-container>
    </v-main>

    <!-- Footer -->
    <v-footer class="px-0 py-0">
      <v-container fluid class="info_dark">
        <!-- Logos -->
        <v-row>
          <v-col
            class="pb-0"
            cols="12"
            sm="6"
            md="3"
            lg="2"
            xl="1"
            v-for="(item, index) in 3"
            :key="index"
          >
            <InstitutesLogo />
          </v-col>
        </v-row>

        <!-- Login -->
        <v-row>
          <v-col cols="12" class="text-right pt-0">
            <v-btn text :to="localePath(`/login`)">
              <span class="mr-1 body-2-sistem system_white--text">
                {{ $t("auth.login") }}
              </span>
              <v-icon color="warning_dark"> mdi-login</v-icon>
            </v-btn>
          </v-col>
        </v-row>
      </v-container>
    </v-footer>
  </v-app>
</template>

<script>
import InstitutesLogo from "@/components/Logos/Global/InstitutesLogo.vue";
import SignbankLogo from "@/components/Logos/Global/SignbankLogo.vue";
import LanguageTranlateSystemMenu from "@/components/Menus/Language/LanguageTranlateSystemMenu";
import MenuDefault from "@/components/Layouts/Menus/Default/MenuDefault.vue";

export default {
  name: "DefaultLayout",
  components: {
    InstitutesLogo,
    SignbankLogo,
    LanguageTranlateSystemMenu,
    MenuDefault,
  },

  data() {
    return {};
  },
};
</script>

<style>
#LayoutDefault .v-toolbar__content {
  height: 60px !important;
}
</style>
